Get Inbound Calls
Retrieve inbound Call Detail Records (CDRs) based on provided filtering parameters. Results are returned as a paginated list of inbound call records. Pagination note: Inbound call traffic may be very large, depending on your system, and improper period filtering may lead to incomplete or inconsistent paginated results and reduced performance. Always use explicit time ranges for production usage. IMPORTANT: This endpoint requires period filtering due to high call volume. Period behavior rules: - If both start and end are provided → values are used as-is - If only one boundary is provided → missing boundary is automatically calculated to form a 7-day interval - If no period provided → system defaults to: end = last available call date; start = end - 7 days
Query Parameters
Optional parameter. Includes only calls with billable duration greater than or equal to the provided value (in seconds).
0 <= valueOptional parameter. Includes only calls with billable duration less than or equal to the provided value (in seconds).
0 <= valueOptional parameter. Filters inbound calls by country or routing direction codes. Accepts a list of ISO alpha-2 country codes in upper case.
Optional parameter. Filters inbound calls by call dispositions/statuses.
Optional parameter. Allows filtering inbound calls by destination number, extension, or SIP user. The search operation is partial.
Optional parameter. Includes only calls with total duration greater than or equal to the provided value (in seconds).
0 <= valueOptional parameter. Includes only calls with total duration less than or equal to the provided value (in seconds).
0 <= valuePagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.
Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.
Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.
Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.
Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.
"_default" | "start_time" | "end_time" | "time" | "duration" | "billsec" | "dst_user" | "destination" | "src_user" | "source" | "country" | "direction_code" | "cost" | "price" | "disposition"Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.
"asc" | "desc"Optional parameter. Allows filtering inbound calls by source number or caller identifier. The search operation is partial.
Header Parameters
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/voice/calls/inbound" \ -H "Authorization: string"{
"data": [
{
"billsec": 0,
"cost": 0,
"country": "string",
"disposition": "ANSWERED",
"dst_user": "string",
"duration": 0,
"end_time": "string",
"src_user": "string",
"start_time": "string"
}
],
"page": 0,
"page_size": 0,
"total": 0,
"total_pages": 0
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}